Public Member Functions
com.ugrokit.api.UgiStatusImageView Class Reference

## Overview

UI component - status image.

## Public Member Functions
| UgiStatusImageView (final Context context, AttributeSet attrs)
| Constructor. More...
int | getColor ()
| UgiUiUtil.NULL_COLOR if on a light background, or a color if on a dark background. More...
void | setColor (int c)
| UgiUiUtil.NULL_COLOR if on a light background, or a color if on a dark background. More...
boolean | getDisplayVersionInfoOnTouch ()
| Get whether to show version information alert when touched. More...
void | setDisplayVersionInfoOnTouch (boolean b)
| Set whether to show version information alert when touched. More...
boolean | getHideOnPD67 ()
| Get whether to hide this when running on the PD67. More...
void | setHideOnPD67 (boolean b)
| Set whether to hide this when running on the PD67. More...

## Member Function Documentation

## ◆ getColor()

int com.ugrokit.api.UgiStatusImageView.getColor | ( |  | ) |

UgiUiUtil.NULL_COLOR if on a light background, or a color if on a dark background.

Returns
  color

## ◆ setColor()

void com.ugrokit.api.UgiStatusImageView.setColor | ( | int | c | ) |

UgiUiUtil.NULL_COLOR if on a light background, or a color if on a dark background.

Parameters

  c | color

## ◆ getDisplayVersionInfoOnTouch()

boolean com.ugrokit.api.UgiStatusImageView.getDisplayVersionInfoOnTouch | ( |  | ) |

Get whether to show version information alert when touched.

Returns
  color

## ◆ setDisplayVersionInfoOnTouch()

void com.ugrokit.api.UgiStatusImageView.setDisplayVersionInfoOnTouch | ( | boolean | b | ) |

Set whether to show version information alert when touched.

Parameters

  b | true to show alert

## ◆ getHideOnPD67()

boolean com.ugrokit.api.UgiStatusImageView.getHideOnPD67 | ( |  | ) |

Get whether to hide this when running on the PD67.

Returns
  whether to hide this when running on the PD67

## ◆ setHideOnPD67()

void com.ugrokit.api.UgiStatusImageView.setHideOnPD67 | ( | boolean | b | ) |

Set whether to hide this when running on the PD67.

Parameters

  b | true to hide on PD67

## Constructor & Destructor Documentation

## ◆ UgiStatusImageView()

com.ugrokit.api.UgiStatusImageView.UgiStatusImageView | ( | final Context | context,
|  | AttributeSet | attrs
| ) |  |

Constructor.

Parameters

  context | Context
  attrs | Attributes